#pragma once

#include "DSP2833x_Device.h"
#include "DSP28x_Project.h"

enum CAN_VARIANT{
    NONE = 0,
    CANA,
    CANB
};

class CAN{
public:
    CAN();

    void initGpio(CAN_VARIANT canVarinat);
    void config(CAN_VARIANT canVarinat, Uint16 baudrate);

    void transmitMsg();
    void receiveMsg();

private:
    volatile struct ECAN_REGS* p_CanRegs_;
    volatile struct ECAN_MBOXES* p_CanMBoxes_;
};
